Tile Endpoint
GET
/tiles/{table_path}/{z}/{x}/{y}.pbf
const url = 'https://example.com/api/tiles/example/1/1/1.pbf';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/tiles/example/1/1/1.pbfServe a vector tile as gzipped MVT binary.
URL pattern: /tiles/data.{table_name}/{z}/{x}/{y}.pbf
Non-public datasets require valid HMAC signature params (sig, exp, scope). Public datasets can be accessed without any signature.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” table_path
required
Table Path
string
z
required
Z
integer
x
required
X
integer
y
required
Y
integer
Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”Successful Response
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}